apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt-prod
    kubernetes.io/tls-acme: "true"
  name: teckids-website-caddy
  namespace: teckids-website
spec:
  ingressClassName: nginx
  rules:
  - host: teckids.org
    http:
      paths:
      - backend:
          service:
            name: teckids-website
            port:
              number: 80
        path: /
        pathType: Prefix
  - host: www.teckids.org
    http:
      paths:
      - backend:
          service:
            name: teckids-website
            port:
              number: 80
        path: /
        pathType: Prefix
  - host: hacknsun.camp
    http:
      paths:
      - backend:
          service:
            name: teckids-website
            port:
              number: 80
        path: /
        pathType: Prefix
  - host: www.hacknsun.camp
    http:
      paths:
      - backend:
          service:
            name: teckids-website
            port:
              number: 80
        path: /
        pathType: Prefix
  - host: hacknfun.camp
    http:
      paths:
      - backend:
          service:
            name: teckids-website
            port:
              number: 80
        path: /
        pathType: Prefix
  - host: www.hacknfun.camp
    http:
      paths:
      - backend:
          service:
            name: teckids-website
            port:
              number: 80
        path: /
        pathType: Prefix
  - host: teckids.de
    http:
      paths:
      - backend:
          service:
            name: teckids-website
            port:
              number: 80
        path: /
        pathType: Prefix
  - host: www.teckids.de
    http:
      paths:
      - backend:
          service:
            name: teckids-website
            port:
              number: 80
        path: /
        pathType: Prefix
  tls:
  - hosts:
    - teckids.org
    - www.teckids.org
    - hacknsun.camp
    - www.hacknsun.camp
    - hacknfun.camp
    - www.hacknfun.camp
    - teckids.de
    - www.teckids.de
    secretName: teckids-website-tls
